.select-offer-header {
  width: 100%;
  height: 200px;
}

.select-offer-container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100%;
}

.select-offer-body {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.select-offer-body .heading {
  font-size: 80px;
  color: #fff;
  text-align: center;
  font-weight: bold;
}

.select-offer-body .offer-selection-wrapper {
  width: 1200px;
  min-height: 550px;
  margin-top: 50px;
  position: relative;
  display: flex;
  /* justify-content: center; */
  align-items: center;
  flex-direction: column;
  padding: 80px 0;
  border: 14px solid #fff;
  background-color: #262b6f;
  border-radius: 90px;
  box-shadow: 
    /* 0 0 0px 10px #fff, */ inset 0 0 15px 1px #fff;
}

.select-offer-body .offer-selection-wrapper .offer-selection-heading {
  position: relative;
  font-size: 65px;
  color: #fff;
}

.offer-selection-rows-wrapper {
  width: 100%;
  /* padding: 0 150px; */
  font-family: "futura";
}

.offer-selection-rows-wrapper .offer-selection-row {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* gap: 40px; */
  margin-bottom: 90px;
  width: 100%;
  position: relative;
}

.offer-selection-rows-wrapper .offer-selection-row .offer-selection-title {
  font-size: 55px;
  color: #fff;
}

.offer-selection-rows-wrapper .offer-selection-row .offer-selection-info {
  font-size: 40px;
  color: #d0a83e;
  text-align: right;
  width: 89%;
  position: relative;
}

.offer-selection-rows-wrapper .offer-selection-row .offer-selection-info span {
  color: #00ffff;
}

.offer-selection-content-row {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  width: 92%;
  margin-top: 10px;
}
.offer-selection-content-row .checkbox-content {
  width: 15%;
}

.offer-selection-content-row .price-amount {
  font-size: 70px;
  color: #ff00ff;
  width: 40%;
}

.offer-selection-content-row .tizo-amount {
  font-size: 70px;
  color: #00ffff;
  width: 50%;
  text-align: right;
  padding-right: 20px;
}

.offer-selection-content-row .price-amount span,
.offer-selection-content-row .tizo-amount span {
  font-size: 35px;
}

.offer-selection-content-row .price-amount.mission-text {
  font-size: 55px;
}

.offer-selection-content-row .price-amount.mission-text span {
  font-size: 30px;
}

.offer-selection-checkbox {
  width: 55px;
  height: 55px;
  border: 4px solid #fff;
  border-radius: 20px;
  margin-left: 20px;
  margin-top: 20px;
  cursor: pointer;
  position: relative;
  /* filter: drop-shadow(0 0 30px #9decfc); */
}

.offer-selection-checkbox.selected img {
  display: block;
}

.offer-selection-checkbox.selected {
  box-shadow:
    0 0 0px 5px #9decfc,
    inset 0 0 5px 5px #9decfc;
}

.offer-selection-checkbox img {
  width: 75px;
  position: absolute;
  top: -15px;
  left: 5px;
  display: none;
  pointer-events: none;
}

.offer-selection-content-row .price-amount,
.offer-selection-content-row .tizo-amount,
.offer-selection-content-row .offer-selection-info {
  opacity: 0.5;
}

.offer-selection-content-row:has(.offer-selection-checkbox.selected) .price-amount,
.offer-selection-content-row:has(.offer-selection-checkbox.selected) .tizo-amount,
.offer-selection-row:has(.offer-selection-checkbox.selected) .offer-selection-info {
  opacity: 1;
}

.offer-selection-row::after {
  content: "";
  position: absolute;
  top: 60px;
  right: 50px;
  width: 80%;
  height: 9px;
  background-color: rgb(143, 26, 26);
  opacity: 0.7;
}

.offer-selection-row:has(.offer-selection-checkbox.selected)::after,
.offer-selection-row.row-selected::after {
  background-color: transparent;
}

.offer-selection-row.offer-skipped:not(:has(.offer-selection-checkbox.selected)) .price-amount,
.offer-selection-row.offer-skipped:not(:has(.offer-selection-checkbox.selected)) .tizo-amount,
.offer-selection-row.offer-skipped:not(:has(.offer-selection-checkbox.selected)) .offer-selection-info {
  text-decoration: line-through;
  opacity: 0.5;
}

.offer-selection-row.offer-skipped:not(:has(.offer-selection-checkbox.selected))::after {
  background-color: rgb(143, 26, 26);
  opacity: 0.7;
}

.offer-selection-button-wrapper {
  margin-top: 200px;
}

.offer-selection-button-wrapper .offer-selection-button {
  background: url("../assets/green-button.png") no-repeat center center;
  background-size: contain;
  background-position: center;
  padding: 70px 0px;
  width: 600px;
  font-size: 45px;
  color: white;
  text-align: center;
  font-weight: bold;
  transition: opacity 0.3s ease;
}

.offer-selection-button-wrapper .offer-selection-button.disabled {
  opacity: 0.4;
  pointer-events: none;
}
